๐จ๐ฆ ํ๋ฒก โ ์ด์ ๋ฉดํ
์ด API๋ ๋ฌธ์ ๋ฒํธ๋ก ์บ๋๋ค ํ๋ฒก์์ ๋ฐ๊ธ๋ ์ด์ ๋ฉดํ๋ฅผ ๊ณต์ ๊ธฐ๋ก๊ณผ ๋์กฐํฉ๋๋ค. ๋ฑ๊ธ, ์ํ, ๋ฐ๊ธ ๊ด๋ จ ์ ๋ณด, ํ์ธ ๋ฒํธ ๋ฑ์ด ๋ฐํ๋ ์ ์์ต๋๋ค. KYC, ๋ชจ๋น๋ฆฌํฐ ์จ๋ณด๋ฉ, ์ปดํ๋ผ์ด์ธ์ค์ ์ฌ์ฉํ์ธ์.
Authorization ํค๋๊ฐ ํ์ํฉ๋๋ค.
API ๋ ํผ๋ฐ์คโ
์๋ํฌ์ธํธโ
GET https://api.verifik.co/v2/ca/quebec/driver-license
๋ฉดํ์ฆ์ ํ๊ธฐ๋ ๋ฌธ์ ๋ฒํธ๋ก ํ๋ฒก ์ด์ ๋ฉดํ๋ฅผ ๊ฒ์ฆํฉ๋๋ค.
ํค๋(Headers)โ
| ์ด๋ฆ | ๊ฐ |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
๋งค๊ฐ๋ณ์(Parameters)โ
| ์ด๋ฆ | ํ์ | ํ์ | ์ค๋ช | ์์ |
|---|---|---|---|---|
documentNumber | string | ์ | ์กฐํํ ๋ฉดํ ๋ฒํธ. ์ฆ๋ช ์์ ๋์ผํ๊ฒ ์ ๋ ฅํฉ๋๋ค. | L12345678901 |
์์ฒญ(Request)โ
- JavaScript
- Python
- Swift
- PHP
import axios from "axios";
const { data } = await axios.get("https://api.verifik.co/v2/ca/quebec/driver-license", {
params: { documentNumber: "L12345678901" },
headers: { Accept: "application/json", Authorization: `Bearer ${process.env.VERIFIK_TOKEN}` },
});
console.log(data);
import requests
url = "https://api.verifik.co/v2/ca/quebec/driver-license?documentNumber=L12345678901"
headers = {"Accept": "application/json", "Authorization": "Bearer <your_token>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
var request = URLRequest(url: URL(string: "https://api.verifik.co/v2/ca/quebec/driver-license?documentNumber=L12345678901")!)
request.httpMethod = "GET"
request.setValue("application/json", forHTTPHeaderField: "Accept")
request.setValue("Bearer <your_token>", forHTTPHeaderField: "Authorization")
let task = URLSession.shared.dataTask(with: request) { data, _, _ in
print(String(data: data ?? Data(), encoding: .utf8) ?? "")
}
task.resume()
<?php
$ch = curl_init("https://api.verifik.co/v2/ca/quebec/driver-license?documentNumber=L12345678901");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Accept: application/json",
"Authorization: Bearer <your_token>"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
echo curl_exec($ch);
curl_close($ch);
์๋ต(Response)โ
- 200
- 404
- 409
{
"data": {
"documentNumber": "L12345678901",
"classLicense": "5",
"status": "Valid",
"dateOfIssue": "15/03/2020",
"confirmationNumber": "Q12345V",
"condition": ""
},
"signature": {
"dateTime": "April 20, 2026 10:00 AM",
"message": "Certified by Verifik.co"
},
"id": "QBC1X"
}
{
"code": "NotFound",
"message": "Record not found."
}
{
"code": "MissingParameter",
"message": "missing documentNumber\n"
}
์ฐธ๊ณ โ
- ์ด ์๋ํฌ์ธํธ์ ํ์ํ ์ฟผ๋ฆฌ ๋งค๊ฐ๋ณ์๋
documentNumber๋ฟ์ ๋๋ค.